# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "fluence-identity"
version = "0.2.4"
authors = ["Fluence Labs"]
description = "identity"
license = "Apache-2.0"
repository = "https://github.com/fluencelabs/trust-graph"
[dependencies.bs58]
version = "0.3.1"

[dependencies.ed25519]
version = "1.0.3"

[dependencies.ed25519-dalek]
version = "1.0.1"
features = ["serde"]

[dependencies.libp2p-core]
version = "0.27.1"
package = "fluence-fork-libp2p-core"

[dependencies.rand]
version = "0.7.0"

[dependencies.serde]
version = "=1.0.118"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.58"

[dependencies.serde_with]
version = "1.6.0"

[dependencies.signature]
version = "1.3.0"

[dependencies.thiserror]
version = "1.0.23"
